CVE-2006-1602
CVSS7.5
发布时间 :2006-04-04 06:04:00
修订时间 :2011-03-07 21:33:24
NMCO    

[原文]PHP remote file inclusion vulnerability in includes/functions_common.php in the VWar Account module (vWar_Account) in PHPNuke Clan 3.0.1 allows remote attackers to include arbitrary files via a URL in the vwar_root2 parameter. NOTE: it is possible that this issue stems from a problem in VWar itself, but this is not clear.


[CNNVD]PHPNuke-Clan functions_common.php远程文件包含漏洞(CNNVD-200604-036)

        PHPNuke-Clan是一款开放源码的社区内容管理系统。
        PHPNuke-Clan的VWAR模块实现上存在输入验证漏洞,远程攻击者可能利用此漏洞在服务器上以Web进程权限执行任意命令。
        PHPNuke-Clan的 modules/vWar_Account/includes/functions_common.php 没有正确过滤war_root参数值,导致攻击者可以通过从外部或本地资源包含PHP脚本来执行任意PHP代码。成功攻击要求必须启用了register_globals。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1602
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-1602
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200604-036
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2006/1202
(UNKNOWN)  VUPEN  ADV-2006-1202
http://www.securityfocus.com/bid/17356
(UNKNOWN)  BID  17356
http://www.securityfocus.com/archive/1/archive/1/429615/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060401 PHPNuke-Clan 3.0.1 Remote File Inclusion Exploit
http://secunia.com/advisories/19501
(VENDOR_ADVISORY)  SECUNIA  19501
http://xforce.iss.net/xforce/xfdb/25609
(UNKNOWN)  XF  phpnukeclan-functionscommon-file-include(25609)
http://www.osvdb.org/24481
(UNKNOWN)  OSVDB  24481

- 漏洞信息

PHPNuke-Clan functions_common.php远程文件包含漏洞
高危 输入验证
2006-04-04 00:00:00 2006-04-04 00:00:00
远程  
        PHPNuke-Clan是一款开放源码的社区内容管理系统。
        PHPNuke-Clan的VWAR模块实现上存在输入验证漏洞,远程攻击者可能利用此漏洞在服务器上以Web进程权限执行任意命令。
        PHPNuke-Clan的 modules/vWar_Account/includes/functions_common.php 没有正确过滤war_root参数值,导致攻击者可以通过从外部或本地资源包含PHP脚本来执行任意PHP代码。成功攻击要求必须启用了register_globals。

- 公告与补丁

        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        http://www.phpnuke-clan.com/index.php

- 漏洞信息

24481
Virtual War (Vwar) includes/functions_common.php vwar_root Parameter Remote File Inclusion
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

Virtual War contains a flaw that may allow a remote attacker to execute arbitrary commands. The issue is due to includes/functions_common.php not properly sanitizing user input supplied to the 'vwar_root' variable. This may allow an attacker to include a file from a remote host that contains arbitrary commands which will be executed by the vulnerable script.

- 时间线

2006-04-02 Unknow
2006-04-02 Unknow

- 解决方案

Upgrade to version 1.5.0 R13 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站